#ifndef _COBJMESSAGEMOVE_H_
#define _COBJMESSAGEMOVE_H_


#include "CObjMessage.h"

#define NB_OF_RESIZE		2					//nombre de directions prédéfinies
#define DIR_HORIZONTAL		1					//direction horizontale orientée vers la droite
#define DIR_VERTICAL		2					//direction verticale orientée vers le haut


class CObjMessageMove:public CObjMessage
{
private:
	int direction;								//direction du move
	int offset;									//valeur de l'écart du move

public:
	CObjMessageMove(int direction, int offset, int redrawobject);	//constructeur
	virtual ~CObjMessageMove();					//destructeur

	int GetDirection();							//retourne la direction du move
	int GetOffset();							//retourne la valeur de l'écart du move
};

#endif